org.richfaces.resource

## Class DefaultCodecResourceRequestData

- java.lang.Object
- - org.richfaces.resource.DefaultCodecResourceRequestData

- All Implemented Interfaces:
    ResourceRequestData

      public final class DefaultCodecResourceRequestData
      extends Object
      implements ResourceRequestData

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCodecResourceRequestData(DefaultResourceCodec defaultResourceCodec)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()`
    `protected String` | `getDataString()`
    `String` | `getLibraryName()`
    `String` | `getResourceKey()`
    `String` | `getResourceName()`
    `String` | `getVersion()`
    `protected boolean` | `isDataSerialized()`
    `protected void` | `setDataSerialized(boolean dataSerialized)`
    `protected void` | `setDataString(String dataString)`
    `protected void` | `setLibraryName(String libraryName)`
    `protected void` | `setResourceName(String resourceName)`
    `protected void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCodecResourceRequestData

          public DefaultCodecResourceRequestData(DefaultResourceCodec defaultResourceCodec)

  - ### Method Detail

    - #### setResourceName

          protected void setResourceName(String resourceName)

    - #### getResourceName

          public String getResourceName()

      Specified by:
        `getResourceName` in interface `ResourceRequestData`

    - #### setLibraryName

          protected void setLibraryName(String libraryName)

    - #### getLibraryName

          public String getLibraryName()

      Specified by:
        `getLibraryName` in interface `ResourceRequestData`

    - #### setVersion

          protected void setVersion(String version)

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in interface `ResourceRequestData`

    - #### getResourceKey

          public String getResourceKey()

      Specified by:
        `getResourceKey` in interface `ResourceRequestData`

    - #### getDataString

          protected String getDataString()

    - #### setDataString

          protected void setDataString(String dataString)

    - #### setDataSerialized

          protected void setDataSerialized(boolean dataSerialized)

    - #### isDataSerialized

          protected boolean isDataSerialized()

    - #### getData

          public Object getData()

      Specified by:
        `getData` in interface `ResourceRequestData`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.